This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 228140 - ntpd ignores servers not yet visible due to NetworkManager
ntpd ignores servers not yet visible due to NetworkManager
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-10 04:01 EST by Stefan Becker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-10 04:22:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2007-02-10 04:01:15 EST
Description of problem:

The correction of bug #216351 unfortunately doesn't fix the other ntpd problem
with NetworkManager: when ntpd starts up the interface isn't up and therefore
DNS lookups fail.


Version-Release number of selected component (if applicable):

ntp-4.2.4-3.fc6


How reproducible: Always


Steps to Reproduce:
1. Boot up a machine configured to use NetworkManager
2.
3.

  
Actual results:

ntpd ignores configured NTP servers as the DNS lookup fails

Feb 10 10:13:57 baraddur ntpd[2007]: getaddrinfo: "0.fedora.pool.ntp.org"
invalid host address, ignored
Feb 10 10:13:57 baraddur ntpd[2007]: getaddrinfo: "1.fedora.pool.ntp.org"
invalid host address, ignored
Feb 10 10:13:57 baraddur ntpd[2007]: getaddrinfo: "2.fedora.pool.ntp.org"
invalid host address, ignored


Expected results:

ntpd should retry NTP server name resolution when server is flagged as "dynamic"
Comment 1 Stefan Becker 2007-02-10 04:22:56 EST
Sorry, my bad. It seems I was not patient enough :-(

The new ntpd really retries server name resolution when a dynamic interface gets
activated.

Note You need to log in before you can comment on or make changes to this bug.